Skip to main content
GET
/
pairs
/
{player1}
-
{player2}
/
matches
List Pair Matches
curl --request GET \
  --url https://padelapi.org/api/pairs/{player1}-{player2}/matches \
  --header 'Authorization: Bearer <token>'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

player1
integer
required

The player1 ID

player2
integer
required

The player2 ID

Query Parameters

tournament_id
integer | null

Tournament ID to filter matches by.

after_date
string<date> | null

Date after the match was played in YYYY-MM-DD format.

before_date
string<date> | null

Date before the match was played in YYYY-MM-DD format.

round
enum<integer> | null

Round of the match (1 = Final, 2 = Semifinal, 4 = Quarterfinal, 8 = Round of 16, 16 = Round of 32, 32 = Round of 64)

Available options:
1,
2,
4,
8,
16,
32
sort_by
enum<string> | null

Name of the parameter to sort the matches by.

Available options:
played_at,
round
order_by
enum<string> | null

Order of the sorting, either asc or desc.

Available options:
asc,
desc

Response

The response is of type object.